Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.edapt
Class PackageDependencyIterator

    java.lang.Object
      org.eclipse.emf.ecp.view.edapt.PackageDependencyIterator

All Implemented Interfaces:
  Iterator<Set<String>>

    public class PackageDependencyIterator

extends Object
implements Iterator<Set<String>>

Iterator for nsURIs based on the dependencies beginning from the roots.

Author:
  jfaltermeier

Constructor Summary
`PackageDependencyIterator(Collection<org.eclipse.emf.ecp.view.edapt.PackageDependencyGraph.PackageTreeNode> roots, Collection<org.eclipse.emf.ecp.view.edapt.PackageDependencyGraph.PackageTreeNode> allNodes)` Constructs a new `PackageDependencyIterator`.

Method Summary
`boolean` | `hasNext()`
`Set<String>` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageDependencyIterator

    public PackageDependencyIterator(Collection<org.eclipse.emf.ecp.view.edapt.PackageDependencyGraph.PackageTreeNode> roots,
                                     Collection<org.eclipse.emf.ecp.view.edapt.PackageDependencyGraph.PackageTreeNode> allNodes)

  Constructs a new `PackageDependencyIterator`.

  Parameters:
    `roots` - the root nodes
    `allNodes` - all nodes

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<Set<String>>`

### next

    public Set<String> next()

  Specified by:
    `next` in interface `Iterator<Set<String>>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<Set<String>>`
  See Also:
    `Iterator.remove()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.